\version "2.19.32"

\include "adagio.ly"

\include "berg-kammerkonzert-adagio-title.ly"
\include "berg-kammerkonzert-adagio-paged-title.ly"

\header {
    instrument = "Baßklarinette in B"
}

\paper {
    system-system-spacing = #'(
	(basic-distance . 8)
	(minimum-distance . 6)
	(padding . 4)
    )
    % ragged-last-bottom = ##f
}


\addQuote "adagioFlI" { \transpose bes c' \keepWithTag PARTS \adagioFlI }
\addQuote "adagioEh" { \transpose bes c' \keepWithTag PARTS \adagioEh }
\addQuote "adagioKla" { \transpose bes c' \keepWithTag PARTS \adagioKla }
\addQuote "adagioFag" { \transpose bes c' \keepWithTag PARTS \adagioFag }
\addQuote "adagioKfg" { \transpose bes c' \keepWithTag PARTS \adagioKfg }
\addQuote "adagioTrpt" { \transpose bes c' \keepWithTag PARTS \adagioTrpt }
\addQuote "adagioHrnII" { \transpose bes c' \keepWithTag PARTS \adagioHrnII }
\addQuote "adagioPos" { \transpose bes c' \keepWithTag PARTS \adagioPos }
\addQuote "adagioVln" { \transpose bes c' \keepWithTag PARTS \adagioVln }


adagioCues = \new CueVoice {
    \set Score.quotedCueEventTypes = #'(note-event rest-event
			tie-event beam-event tuplet-span-event
			tremolo-event tremolo-span-event)

    % \time 2/4		% 241
    % s2*30
    \cueDuring #"adagioTrpt" #DOWN { s2*7^\markup\normalsize{Trompete} } |
    s2*10 |
    \cueDuring #"adagioKla" #DOWN { s2*4^\markup\normalsize{Klarinette in A} |
	s2*3 } |
    s2*6 |
    % \time 2/2		% 271
    % s1*12 |
    \cueDuring #"adagioTrpt" #DOWN { s1*3^\markup\normalsize{Trompete} } |
    s1*5 |
    \cueDuringWithClef #"adagioFag" #DOWN #"bass" { s1*2^\markup\normalsize{Fagott} } |
    s1*2 |
    % \time 4/4		% 283
    % s1*48 |
    s1*6 |
    \cueDuring #"adagioHrnII" #DOWN { s1*5^\markup\normalsize{Horn II} |
	s1*1 } |
    s1*6 |
    \cueDuring #"adagioTrpt" #DOWN { s1*3^\markup\normalsize{Trompete} } |
    s1*27 | %330
    % \time 2/4		% 331
    % s2*60 |
    \cueDuring #"adagioKla" #DOWN { s2*2^\markup\normalsize{Klarinette in A} } |
    \cueDuring #"adagioKla" #UP { s2*4 } |
    s2*13 |
    \cueDuring #"adagioFlI" #UP { s2*5^\markup\normalsize{Flöte} } |
    s2*4 |
    \cueDuringWithClef #"adagioKfg" #DOWN #"F_8" { s2*4_\markup\normalsize{Kontrafagott} } |
    s2*9 |
    \cueDuring #"adagioTrpt" #DOWN { s2*3^\markup\normalsize{Trompete} } |
    s2*5 |
    s4 \cueDuringWithClef #"adagioPos" #UP #"bass" { s4^\markup\normalsize{Posaune} | s2*5 } |
    s2*4 | %390
    \cueDuring #"adagioEh" #DOWN { s2*1^\markup\normalsize{Englisch Horn} |
	% \time 2/2		% 391
	s1*2 |
	% \time 4/4		% 393
	s1*1 |
    }
    s1*45 |
    % \time 2/2		% 439
    s1*7 |
    % \time 6/4		% 446
    s1.*5 |
    % \time 3/4		% 451
    % s2.*6 |
    s2.*1 |
    \cueDuringWithClef #"adagioFag" #UP #"bass" { s2.*2^\markup\normalsize{Fagott} | s2 } s4 |
    s2.*2 |
    % \time 2/4		% 457
    % s2*30 |
    s2*25 |
    \cueDuring #"adagioVln" #UP { s2*3^\markup\normalsize{Geige} } |
    s2*2 |
    \bar "|."
}


adagioBreaks = {
    % \time 2/4		% 241
    s2*30 | %270
    % \time 2/2		% 271
    s1*12 | %282
    % \time 4/4		% 283
    s1*48 | %330
    % \time 2/4		% 331
    s2*19 | %349
    \pageBreak
    s2*41 | %390
    % \time 2/2		% 391
    s1*2 | %392
    % \time 4/4		% 393
    s1*46 | %438
    % \time 2/2		% 439
    s1*7 | %445
    % \time 6/4		% 446
    s1.*5 | %450
    % \time 3/4		% 451
    % s2.*6 | %456
    s2.*1 | %456
    \pageBreak
    s2.*5 | %456
    % \time 2/4		% 457
    s2*30 | %486
    \bar "|."
}


\score {
    <<
	\new Dynamics \with {
	    \override VerticalAxisGroup.staff-affinity = #DOWN
	    \override VerticalAxisGroup.nonstaff-relatedstaff-spacing = #'(
		    (basic-distance . 0)
		    (minimum-distance . 0)
		    (padding . 2)
		)
	} <<
	    \keepWithTag HOLZ \adagioTempoChanges
	>>
	\new Staff <<
            \new Voice {
                \clef G \keepWithTag PARTS \transpose bes c'' \adagioBklr
            }
            \new Voice {
                \adagioCues
            }
            \adagioBreaks
	>>
    >>

    \layout {
	indent = #0
	% breakbefore = ##t
    }
}

\markup{
\combine\null\vspace #2.0
\abs-fontsize #8
\hauptStimmeExplain
}

