\version "2.19.32"

\include "adagio.ly"

\include "berg-kammerkonzert-adagio-title.ly"
\include "berg-kammerkonzert-adagio-paged-title.ly"

\header {
    instrument = "Englisch Horn (in F)"
}


\paper {
    system-system-spacing = #'(
	(basic-distance . 8)
	(minimum-distance . 6)
	(padding . 4)
    )
    % ragged-last-bottom = ##f
}


\addQuote "adagioFlI" { \transpose f, c \keepWithTag PARTS \adagioFlI }
\addQuote "adagioKles" { \transpose f, c \keepWithTag PARTS \adagioKles }
\addQuote "adagioKla" { \transpose f, c \keepWithTag PARTS \adagioKla }
\addQuote "adagioBklr" { \transpose f, c \keepWithTag PARTS \adagioBklr }
\addQuote "adagioFag" { \transpose f, c \keepWithTag PARTS \adagioFag }
\addQuote "adagioKfg" { \transpose f, c \keepWithTag PARTS \adagioKfg }
\addQuote "adagioTrpt" { \transpose f, c \keepWithTag PARTS \adagioTrpt }
\addQuote "adagioHrnI" { \transpose f, c \keepWithTag PARTS \adagioHrnI }


adagioCues = \new CueVoice {
    \set Score.quotedCueEventTypes = #'(note-event rest-event
			tie-event beam-event tuplet-span-event
			tremolo-event tremolo-span-event)

    % \time 2/4		% 241
    % s2*30
    \cueDuring #"adagioTrpt" #UP { s2*7^\markup\normalsize{Trompete} } |
    \cueDuring #"adagioKles" #UP { s2*5^\markup\normalsize{Klarinette in Es} } |
    s2*3 |
    s2*6 |
    s2*9 |
    % \time 2/2		% 271
    % s1*12 |
    \cueDuring #"adagioTrpt" #DOWN { s1*2^\markup\normalsize{Trompete} } |
    s1*10 |
    % \time 4/4		% 283
    % s1*48 |
    \cueDuring #"adagioKla" #UP { s1*2^\markup\normalsize{Klarinette in A} } |
    s1*4 |
    s1*3 |
    s2 \cueDuring #"adagioTrpt" #UP { s2^\markup\normalsize{Trompete} s1 |
	s8 }
    \cueDuring #"adagioKla" #UP { s4 s4.^\markup\normalsize{Klarinette in A} s4 | s1*2 } |
    s1*1 |
    s1*5 |
    s1*1 |
    \cueDuring #"adagioTrpt" #UP { s1*2^\markup\normalsize{Trompete} | s1*4 } |
    s1*21 |
    % \time 2/4		% 331
    % s2*60 |
    s2*7 |
    s2*6 |
    s2*2 |
    \cueDuring #"adagioKla" #UP { s2*4^\markup\normalsize{Klarinette in A} } |
    s2*9 |
    \cueDuringWithClef #"adagioKfg" #DOWN #"F_8" { s2*4_\markup\normalsize{Kontrafagott} } |
    s2*4 |
    s2*10 |
    s2*9 |
    \cueDuringWithClef #"adagioFag" #UP #"F" { s2*4^\markup\normalsize{Fagott} } |
    s2 |
    % \time 2/2		% 391
    s1*2 |
    % \time 4/4		% 393
    % s1*46 |
    s1*1 |
    s1*5 |
    \transposedCueDuring #"adagioBklr" #DOWN c'' { s1*3^\markup\normalsize{Baßklarinette} } |
    \transposedCueDuring #"adagioBklr" #UP c'' { s1*2 } |
    s1*3 |
    s1*4 |
    s1*3 |
    \cueDuring #"adagioTrpt" #UP { s1*5^\markup\normalsize{Trompete} } |
    s1*4 |
    s1*8 |
    % s1*8 |
    s1 |
    \cueDuring #"adagioHrnI" #DOWN { s1*4^\markup\normalsize{Horn I} } |
    s1*3 |
    % \time 2/2		% 439
    % s1*7 |
    \cueDuringWithClef #"adagioKfg" #UP #"F_8" { s1*3^\markup\normalsize{Kontrafagott} } |
    \transposedCueDuring #"adagioBklr" #DOWN c'' { s1^\markup\normalsize{Baßklarinette} } |
    \transposedCueDuring #"adagioBklr" #DOWN c'' { s1*2 } |
    s1
    % \time 6/4		% 446
    s1.*5 |
    % \time 3/4		% 451
    s2.*6 | %456
    % \time 2/4		% 457
    \cueDuring #"adagioFlI" #UP { s2*4^\markup\normalsize{1.Flöte} } |
    s2*10 | %468
    \cueDuring #"adagioKla" #UP { s2*2^\markup\normalsize{Klarinette in A} | } |
    s2*14 |
    \bar "|."
}


adagioBreaks = {
    % \time 2/4		% 241
    s2*30 | %270
    % \time 2/2		% 271
    s1*12 | %282
    % \time 4/4		% 283
    s1*48 | %330
    % \time 2/4		% 331
    s2*15 | %345
    \pageBreak
    s2*45 | %390
    % \time 2/2		% 391
    s1*2 | %392
    % \time 4/4		% 393
    % s1*46 | %438
    s1*39 | %431
    \noBreak
    s1*7 | %438
    % \time 2/2		% 439
    \pageBreak
    s1*7 | %445
    % \time 6/4		% 446
    s1.*5 | %450
    % \time 3/4		% 451
    s2.*6 | %456
    % \time 2/4		% 457
    % s2*30 | %486
    s2*15 | %471
    \noBreak
    s2*15 | %486
    \bar "|."
}

\score {
    <<
	\new Dynamics \with {
	    \override VerticalAxisGroup.staff-affinity = #DOWN
	    \override VerticalAxisGroup.nonstaff-relatedstaff-spacing = #'(
		    (basic-distance . 0)
		    (minimum-distance . 0)
		    (padding . 2.5)
		)
	} <<
	    \keepWithTag HOLZ \adagioTempoChanges
	>>
	\new Staff <<
            \new Voice {
                \keepWithTag PARTS \transpose f, c \adagioEh
            }
            \new Voice {
                \adagioCues
            }
            \adagioBreaks
	>>
    >>
}

\markup{
\combine\null\vspace #2.0
\abs-fontsize #8
\hauptStimmeExplain
}

