\version "2.19.32"

\include "adagio.ly"

\include "berg-kammerkonzert-adagio-title.ly"
\include "berg-kammerkonzert-adagio-paged-title.ly"

\header {
    instrument = "Fagott"
}

\paper {
    system-system-spacing = #'(
	(basic-distance . 7)
	(minimum-distance . 4)
	(padding . 4)
    )
    ragged-last-bottom = ##f
}


\addQuote "adagioFlI" { \keepWithTag PARTS \adagioFlI }
\addQuote "adagioOb" { \keepWithTag PARTS \adagioOb }
\addQuote "adagioEh" { \keepWithTag PARTS \adagioEh }
\addQuote "adagioKles" { \keepWithTag PARTS \adagioKles }
\addQuote "adagioKfg" { \keepWithTag PARTS \adagioKfg }
\addQuote "adagioTrpt" { \keepWithTag PARTS \adagioTrpt }
\addQuote "adagioHrnI" { \keepWithTag PARTS \adagioHrnI }
\addQuote "adagioPos" { \keepWithTag PARTS \adagioPos }


adagioCues = {
    % \time 2/4		% 241
    % s2*30
    \cueDuringWithClef #"adagioTrpt" #DOWN #"treble" { s2*7^"Trompete" } |
    \cueDuringWithClef #"adagioKles" #DOWN #"treble" { s2*5^"Klarinette in Es" } |
    s2*7 |
    s8 \cueDuringWithClef #"adagioOb" #UP #"treble" { s4.^"Oboe" s2 |
	s2*2
    } |
    s2*7 |
    % \time 2/2		% 271
    % s1*12 |
    \cueDuringWithClef #"adagioTrpt" #DOWN #"treble" { s1*3^"Trompete" |
	s1*3 } |
    s1*6 |
    % \time 4/4		% 283
    s1*48 |
    % \time 2/4		% 331
    % s2*60 |
    s2*12 |
    \cueDuringWithClef #"adagioTrpt" #UP #"treble" { s2*4^"Trompete" } |
    s2*3 |
    \cueDuringWithClef #"adagioFlI" #UP #"treble" { s2*5^"Flöte" } |
    s2*4 |
    \cueDuringWithClef #"adagioKfg" #DOWN #"F_8" { s2*4_"Kontrafagott" } |
    s2*17 |
    \cueDuring #"adagioPos" #UP { s2*3^"Posaune" |
	s2*3 } |
    s2*5 |
    % \time 2/2		% 391
    s1*2 |
    % \time 4/4		% 393
    % s1*46 |
    s1*6 |
    \cueDuringWithClef #"adagioKfg" #UP #"F_8" { s1_"Kontrafagott" |
	s4 } s2. |
    s1*7 |
    \cueDuringWithClef #"adagioKles" #DOWN #"treble" { s1*3^"Klarinette in Es" } |
    s1*12 |
    \cueDuringWithClef #"adagioFlI" #UP #"treble" { s1^"Flöte" | s2.. } s8 |
    s1*14 |
    % \time 2/2		% 439
    \cueDuringWithClef #"adagioKfg" #DOWN #"F_8" { s1*1^"Kontrafagott" } |
    \cueDuringWithClef #"adagioKfg" #UP #"F_8" { s1*3 } | %442
    s1*2 | %444
    \cueDuringWithClef #"adagioEh" #DOWN #"treble" { s1^"Englisch Horn" | %445
	% \time 6/4		% 446
	s1.*2 | %447
    }
    s1.*3 | %450
    % \time 3/4		% 451
    \cueDuring #"adagioHrnI" #UP { s2.^"Horn I" | s2 } s4 | %453
    s2.*4 | %457
    % \time 2/4		% 457
    % s2*30 |
    s2*14 |
    \cueDuringWithClef #"adagioKles" #UP #"treble" { s2*3^"Klarinette in Es" } |
    s2*13 |
    \bar "|."
}


adagioBreaks = {
    % \time 2/4		% 241
    s2*30 | %270
    % \time 2/2		% 271
    s1*12 | %282
    % \time 4/4		% 283
    % s1*48 | %330
    s1*1 | %283
    \noBreak
    s1*24 | %307
    % \break
    s1*6 | %313
    \pageBreak
    s1*17 | %330
    % \time 2/4		% 331
    % s2*60 | %390
    s2*27 | %357
    \noBreak
    s2*33 | %390
    % \time 2/2		% 391
    \noBreak
    s1*2 | %392
    % \time 4/4		% 393
    % s1*46 | %438
    s1*15 | %407
    \pageBreak
    s1*4 | %411
    \noBreak
    s1*27 | %438
    % \time 2/2		% 439
    s1*7 | %445
    % \time 6/4		% 446
    s1.*5 | %450
    % \time 3/4		% 451
    s2.*6 | %456
    % \time 2/4		% 457
    % s2*30 | %486
    s2*1 | %486
    \break
    s2*29 | %486
    \bar "|."
}

\score {
    <<
	\new Dynamics \with {
	    \override VerticalAxisGroup.staff-affinity = #DOWN
	    \override VerticalAxisGroup.nonstaff-relatedstaff-spacing = #'(
		    (basic-distance . 0)
		    (minimum-distance . 0)
		    (padding . 2)
		)
	} <<
	    \keepWithTag HOLZ \adagioTempoChanges
	>>
	\new Staff <<
            \new Voice {
                \keepWithTag PARTS \adagioFag
            }
            \new Voice {
                \adagioCues
            }
            \adagioBreaks
	>>
    >>
}

\markup{
\combine\null\vspace #2.0
\abs-fontsize #8
\hauptStimmeExplain
}

