\version "2.19.32"

\include "adagio.ly"

\include "berg-kammerkonzert-adagio-title.ly"
\include "berg-kammerkonzert-adagio-paged-title.ly"

\header {
    instrument = "Klarinette in A"
}

\paper {
    system-system-spacing = #'(
	(basic-distance . 8)
	(minimum-distance . 6)
	(padding . 4)
    )
    ragged-last-bottom = ##f
}


\addQuote "adagioEh" { \transpose a, c \keepWithTag PARTS \adagioEh }
\addQuote "adagioFag" { \transpose a, c \keepWithTag PARTS \adagioFag }
\addQuote "adagioKfg" { \transpose a, c \keepWithTag PARTS \adagioKfg }
\addQuote "adagioTrpt" { \transpose a, c \keepWithTag PARTS \adagioTrpt }
\addQuote "adagioHrnI" { \transpose a, c \keepWithTag PARTS \adagioHrnI }


adagioCues = {
    % \time 2/4		% 241
    % s2*30
    \cueDuring #"adagioTrpt" #DOWN { s2*7^"Trompete" } |
    s2*23
    % \time 2/2		% 271
    % s1*12 |
    \cueDuring #"adagioTrpt" #DOWN { s1*2^"Trompete" } |
    s1*8 |
    \cueDuringWithClef #"adagioKfg" #DOWN #"F_8" { s1*2^"Kontrafagott" |
	% \time 4/4		% 283
	% s1*48 |
	s8 } s4. s2 |
    s1*19 |
    \cueDuring #"adagioTrpt" #UP { s1*1^"Trompete" |
	s1*4 } |
    s1*15 |
    \cueDuring #"adagioEh" #DOWN { s1*3_"Englisch Horn" } |
    s1*2 |
    \cueDuringWithClef #"adagioFag" #UP #"bass" { s1*1^"Fagott" s2 } s2 |
    s1*1 |
    % \time 2/4		% 331
    % s2*60 |
    s2*21 |
    \cueDuring #"adagioHrnI" #UP { s2*3^"Hörner" | s4 } s4 |
    s2*3 |
    \cueDuringWithClef #"adagioKfg" #DOWN #"F_8" { s2*4_"Kontrafagott" } |
    s2*28 |
    % \time 2/2		% 391
    s1*2 |
    % \time 4/4		% 393
    % s1*46 |
    \cueDuring #"adagioEh" #DOWN { s1*1^"Englisch Horn" } |
    s1*10 |
    \cueDuring #"adagioEh" #DOWN { s4. s8_"English Horn" s2 | s1 | }
    \cueDuring #"adagioEh" #UP { s1*1 | s2 } s2 |
    s1*3 |
    \cueDuringWithClef #"adagioKfg" #DOWN #"F_8" { s1*2^"Kontrafagott" } |
    s1*26 |
    % \time 2/2		% 439
    % s1*7 |
    s1*6 |
    \cueDuring #"adagioEh" #DOWN { s1*1^"Englisch Horn" |
	% \time 6/4		% 446
	s1. |
    }
    \cueDuring #"adagioEh" #UP { s1.*1 | }
    s1.*3 |
    % \time 3/4		% 451
    s2.*6 |
    % \time 2/4		% 457
    s2*30 |
    \bar "|."
}


adagioBreaks = {
    % \time 2/4		% 241
    s2*30 | %270
    % \time 2/2		% 271
    s1*12 | %282
    % \time 4/4		% 283
    s1*4 | %286
    \noBreak
    s1*16 | %302
    \noBreak
    s1*19 | %321
    \pageBreak
    s1*9 | %330
    % \time 2/4		% 331
    s2*60 | %390
    % \time 2/2		% 391
    \noBreak
    s1*2 | %392
    % \time 4/4		% 393
    s1*11 | %303
    \pageBreak
    s1*35 | %438
    % \time 2/2		% 439
    s1*7 | %445
    % \time 6/4		% 446
    s1.*5 | %450
    % \time 3/4		% 451
    s2.*6 | %456
    % \time 2/4		% 457
    % s2*30 | %486
    s2*1 | %457
    % \noBreak
    % s2*29 | %486
    s2*5 | %462
    \noBreak
    s2*24 | %486
    \bar "|."
}


\score {
    <<
	\new Dynamics \with {
	    \override VerticalAxisGroup.staff-affinity = #DOWN
	    \override VerticalAxisGroup.nonstaff-relatedstaff-spacing = #'(
		    (basic-distance . 0)
		    (minimum-distance . 0)
		    (padding . 2)
		)
	} <<
	    \keepWithTag HOLZ \adagioTempoChanges
	>>
	\new Staff <<
            \new Voice {
                \keepWithTag PARTS \transpose a, c \adagioKla
            }
            \new Voice {
                \adagioCues
            }
            \adagioBreaks
	>>
    >>
}

\markup{
\combine\null\vspace #2.0
\abs-fontsize #8
\hauptStimmeExplain
}

