\version "2.19.32"

\include "adagio.ly"

\include "berg-kammerkonzert-adagio-title.ly"
\include "berg-kammerkonzert-adagio-paged-title.ly"


\header {
    instrument = "Piccolo (auch 2. Flöte)"
}


\paper {
    system-system-spacing = #'(
	(basic-distance . 8)
	(minimum-distance . 6)
	(padding . 3)
    )
    ragged-last-bottom = ##f
    indent = #6
    short-indent = #6
    % page-count = #5
}


\addQuote "adagioFlI" { \keepWithTag PARTS \adagioFlI }
\addQuote "adagioEh" { \keepWithTag PARTS \adagioEh }
\addQuote "adagioKla" { \keepWithTag PARTS \adagioKla }
\addQuote "adagioKfg" { \keepWithTag PARTS \adagioKfg }
\addQuote "adagioTrpt" { \keepWithTag PARTS \adagioTrpt }
\addQuote "adagioHrnI" { \keepWithTag PARTS \adagioHrnI }


adagioCues = \new CueVoice {
    \set Score.quotedCueEventTypes = #'(note-event rest-event
			tie-event beam-event tuplet-span-event
			tremolo-event tremolo-span-event)

    % \time 2/4		% 241
    s2*30
    % \time 2/2		% 271
    % s1*12 |
    \cueDuring #"adagioTrpt" #DOWN { s1*2^\markup\normalsize{Trompete} } |
    s1*10 |
    % \time 4/4		% 283
    % s1*48 |
    \cueDuring #"adagioKla" #DOWN { s1*4^\markup\normalsize{Klarinette in A} } |
    s1*7
    \cueDuring #"adagioKla" #DOWN { s1*3^\markup\normalsize{Klarinette in A} } |
    s1*34 |
    % \time 2/4		% 331
    % s2*60 |
    s2*2
    \cueDuring #"adagioKla" #UP { s2*4^\markup\normalsize{Klarinette in A} } |
    s2*4 |
    \cueDuring #"adagioFlI" #DOWN { s2*2^\markup\normalsize{1.Flöte} } |
    \cueDuring #"adagioFlI" #UP { s2 } |
    s2*15 |
    \cueDuringWithClef #"adagioKfg" #DOWN #"F_8" { s2*4_\markup\normalsize{Kontrafagott} } |
    s2*27 |
    \cueDuring #"adagioEh" #DOWN {
        s2^\markup\normalsize{Englisch Horn} |
	% \time 2/2		% 391
	s1*2 |
	% \time 4/4		% 393
	% s1*46 |
	s1*1 |
    }
    s1*13 |
    s2. \cueDuring #"adagioFlI" #UP { s4^\markup\normalsize\right-align{1.Flöte} |
	s1*3 |
    }
    s1*2 |
    s2 \cueDuring #"adagioTrpt" #UP { s2^\markup\normalsize\right-align{Trompete} |
	s1*5 |
    }
    s1*20 |
    % \time 2/2		% 439
    % s1*7 |
    s1*1 |
    \cueDuring #"adagioHrnI" #DOWN { s1*4^\markup\normalsize{Horn I} } |
    s1*1 |
    \cueDuring #"adagioEh" #DOWN {
        s1*1^\markup\normalsize{Englisch Horn} |
	% \time 6/4		% 446
	s1. |
	s2.
    } s2. |
    s1.*3 |
    % \time 3/4		% 451
    s2.*6 |
    % \time 2/4		% 457
    % s2*30 |
    \cueDuring #"adagioFlI" #DOWN { s2*4^\markup\normalsize{Flöte} } |
    s2*10 |
    \cueDuring #"adagioFlI" #UP { s2*5^\markup\normalsize{Flöte} } |
    s2*11 |
    \bar "|."
}

adagioBreaks = {
    % \time 2/4		% 241
    s2*30 | %270
    % \time 2/2		% 271
    s1*12 | %282
    % \time 4/4		% 283
    % s1*48 | %330
    s1*39 | %321
    % \break
    s1*9 | %330
    % \time 2/4		% 331
    % s2*60 | %390
    s2*10 | %340
    \pageBreak
    s2*19 | %359
    % \noBreak
    s2*31 | %390
    % \time 2/2		% 391
    s1*2 | %392
    % \time 4/4		% 393
    % s1*14 | %406
    s1*12 | %404
    % \noBreak
    s1*34 | %438
    % \time 2/2		% 439
    s1*7 | %445
    % \time 6/4		% 446
    s1.*5 | %450
    % \time 3/4		% 451
    s2.*6 | %456
    % \time 2/4		% 457
    s2*30 | %486
    \barNumberCheck # 487
}

\score {
    <<
	\new Dynamics \with {
	    \override VerticalAxisGroup.staff-affinity = #DOWN
	    \override VerticalAxisGroup.nonstaff-relatedstaff-spacing = #'(
		    (basic-distance . 0)
		    (minimum-distance . 0)
		    (padding . 2.5)
		)
	} <<
            \keepWithTag HOLZ \adagioTempoChanges
	>>
	\new Staff \with { instrumentName = "2.Fl." } <<
            \new Voice {
                \keepWithTag PARTS \adagioPicc
            }
            \new Voice {
                \adagioCues
            }
            \adagioBreaks
	>>
    >>

    \layout {
	% indent = #0
	% breakbefore = ##t
    }
}

\markup{
\combine\null\vspace #2.0
\abs-fontsize #8
\hauptStimmeExplain
}

