\version "2.19.32"

markSize = #2
tempoSize = #2

clefF = \clef F
clefG = \clef G

transposeOttavino = c
transposeFlII = c
octavationOttavino = #1

\include "adagio.ly"

\include "common-grand-score.ly"

\include "berg-kammerkonzert-adagio-title.ly"
\include "berg-kammerkonzert-adagio-paged-title.ly"

% \markup\null\pageBreak

\include "berg-kammerkonzert-adagio-intro.ly"
% \markup\null\pageBreak
\markup\null\pageBreak


#(set-global-staff-size 15)

\paper {
    oddFooterMarkup = \markup {
        \column {
            \mm-feed #4
            \fill-line {
                \on-the-fly #(on-page 2) \fromproperty #'header:copyright
            }
            \mm-feed #2
            \fill-line {
                \abs-fontsize #10 \on-the-fly #(on-page 2) \fromproperty #'header:tagline
            }
        }
    }
}

\paper {
    ragged-last-bottom = ##f
    top-markup-spacing = #'((basic-distance . 6.5)
                            (min-distance . 6.0)
                            (padding . 3.0)
                            (stretchability . 3.0))
    top-system-spacing = #'((basic-distance . 6.5)
                            (min-distance . 6.0)
                            (padding . 3.0)
                            (stretchability . 3.0))

}


breaks = {
    % \time 2/4           
    s2*30 | 
    \barNumberCheck # 271
    % \time 2/2               
    s1*12 | 
    \barNumberCheck # 283
    % \time 4/4           
    % s1*48 | 
    s1*9 | 
    \barNumberCheck # 292
    \noBreak
    s1*39 | 
    \barNumberCheck # 331
    % \time 2/4               
    s2*60 | 
    \barNumberCheck # 391
    % \time 2/2           
    s1*2 | 
    \barNumberCheck # 393
    % \time 4/4               
    % s1*46 | 
    s1*32 | 
    \barNumberCheck # 425
    \noBreak
    s1*14 | 
    \barNumberCheck # 439
    % \time 2/2           
    s1*7 | 
    \barNumberCheck # 446
    % \time 6/4               
    s1.*5 | 
    \barNumberCheck # 451
    % \time 3/4           
    s2.*6 | 
    \barNumberCheck # 457
    % \time 2/4               
    s2*30 | 
    \bar "|."
    \barNumberCheck # 487
}


\score {
    \keepWithTag #'( SCORE HOLZ ) <<
        % \new Dynamics \adagioScoreBreaks
        \new Dynamics \breaks

        % %{
        \new StaffGroup <<
            \new Dynamics \with {
                \consists "Time_signature_engraver"
            } <<
                {
                    \adagioTempoChanges
                }
            >>

	    \new Staff = adagioPicc <<
		\set Staff.instrumentName = \markup{
						\center-column{
						    "2. Flöte"
						    "(Piccolo)"
						}
					    }
		\set Staff.shortInstrumentName = \markup{
						    \center-column{
							"2.Fl"
						    }
						}
		\adagioPicc
	    >>
	    \new Staff = adagioFlI <<
		\set Staff.instrumentName = "1. Flöte"
		\set Staff.shortInstrumentName = "1.Fl."
		\adagioFlI
	    >>
	    \new Staff = adagioOb <<
		\set Staff.instrumentName = "Oboe"
		\set Staff.shortInstrumentName = "Ob."
		\adagioOb
	    >>
	    \new Staff = adagioEh <<
		\set Staff.instrumentName = "Englisch-Horn"
		\set Staff.shortInstrumentName = "E.H."
		\adagioEh
	    >>
	    \new Staff = adagioKles <<
		\set Staff.instrumentName = \markup\center-column{\line{Klarinette} \line{in Es}}
                \set Staff.shortInstrumentName = "Kl.(Es)"
		\adagioKles
	    >>
	    \new Staff = adagioKla <<
		\set Staff.instrumentName = \markup\center-column{\line{Klarinette} \line{in A}}
		\set Staff.shortInstrumentName = "Kl.(A)"
		\adagioKla
	    >>
	    \new Staff = adagioBklr <<
		\set Staff.instrumentName = \markup\center-column{\line{Baßklarinette} \line{in B}}
		\set Staff.shortInstrumentName = "Bkl.(B)"
		\clef F \adagioBklr
	    >>
	    \new Staff = adagioFag <<
		\set Staff.instrumentName = "Fagott"
		\set Staff.shortInstrumentName = "Fag."
		\adagioFag
	    >>
	    \new Staff = adagioKfg <<
		\set Staff.instrumentName = "Kontrafagott"
		\set Staff.shortInstrumentName = "Kfg."
		\transpose c c, \adagioKfg
	    >>
	>>
	% %}

	% %{
	\new Dynamics \with {
	    % \override VerticalAxisGroup.staff-affinity = #DOWN
	    \override VerticalAxisGroup.nonstaff-relatedstaff-spacing = #'(
		    (basic-distance . 7)
		    (minimum-distance . 7)
		    (padding . 1)
		)
	} {
	    \adagioConductor
	}
	% %}

        \new Dynamics \with {
            \consists "Time_signature_engraver"
        } <<
            % \override TimeSignature.font-size = #6
            \adagioTimeSigs
        >>

	% %{
	\new StaffGroup <<
	    \new Staff = adagioTrpt <<
		\set Staff.instrumentName = \markup\center-column{\line{Trompete} \line{in F}}
		\set Staff.shortInstrumentName = "Trpt."
		\adagioTrpt
	    >>
	    \new GrandStaff <<
		\set GrandStaff.instrumentName = \markup\center-column{\line{Horn} \line{in F}}
		\set GrandStaff.shortInstrumentName = \markup{"Hrn."}
		\new Staff = adagioHrnI <<
                    \set Staff.instrumentName = "1."
                    \set Staff.shortInstrumentName = "1."
		    \adagioHrnI
		>>
		\new Staff = adagioHrnII <<
                    \set Staff.instrumentName = "2."
                    \set Staff.shortInstrumentName = "2."
		    \adagioHrnII
		>>
	    >>
	    \new Staff = adagioPos <<
		\set Staff.instrumentName = "Posaune"
		\set Staff.shortInstrumentName = "Pos."
		\adagioPos
	    >>
	>>
	% %}

        \new Dynamics \with {
            \consists "Time_signature_engraver"
            \consists "Mark_engraver"
        } <<
            \removeWithTag HOLZ \adagioTempoChanges
        >>

	% %{
	\new StaffGroup <<
            \new Staff = adagioVlnOssia \with {
                \remove "Time_signature_engraver"
                \magnifyStaff #3/4
                \omit Clef
                \omit TimeSignature
                \RemoveAllEmptyStaves
                % firstClef = ##f
            } <<
                \adagioVlnOssia
            >>
	    \new Staff = adagioVln \with {
		\consists "Span_arpeggio_engraver"
	    } <<
		\set Staff.instrumentName = "Geige"
		\set Staff.shortInstrumentName = "Geige"
                % \stretchHorizontalSpacing #-1.0
                % <>^"Horizontal spacing set more cramped"
		\adagioVln
	    >>
	>>
	% %}
    >>

    \layout {
	\context {
	    \Staff
		\override VerticalAxisGroup.default-staff-staff-spacing.basic-distance = #30
		\override VerticalAxisGroup.nonstaff-relatedstaff-spacing.basic-distance = #30
		\override VerticalAxisGroup.nonstaff-unrelatedstaff-spacing.basic-distance = #30
                \override TimeSignature.stencil = ##f
	    % \Staff \RemoveEmptyStaves
	}
        \context {
            \Score
                \override TimeSignature.font-size = #7
        }

	indent = #21
	short-indent = #10
    }
}
